https://api.katapult.io/core/v1/object_storage/object_storage_cluster/buckets/bucket/object
| Code | Error | When it happens |
|---|---|---|
|
|
missing_api_token
|
No API token was provided in the Authorization header. Ensure a token is provided prefixed with Bearer |
|
|
unauthorized_network_for_api_token
|
Network is not allowed to access the API with this API token |
|
|
invalid_api_token
|
The API token provided was not valid (it may not exist or have expired) |
|
|
token_owner_suspended
|
The user that owns the API token has been suspended |
|
|
invalid_capabilities_token
|
The capabilities token provided was not valid (either not valid, expired or not signed by the correct key) |
|
|
scope_not_granted
|
The scope required for this endpoint has not been granted to the authenticating identity |
|
|
permission_denied
|
The authenticated identity is not permitted to perform this action |
|
|
object_storage_cluster_not_found
|
No object storage cluster was found matching any of the criteria provided in the arguments |
|
|
object_storage_bucket_not_found
|
No object storage bucket was found matching any of the criteria provided in the arguments |
|
|
object_not_found
|
No object was found matching any of the criteria provided in the arguments |
|
|
object_in_trash
|
The object found is in the trash and therefore cannot be manipulated through the API. It should be restored in order to run this operation. |
|
|
rate_limit_reached
|
You have reached the rate limit for this type of request |
|
|
multiple_object_storage_buckets_found
|
Multiple object storage buckets were found matching the criteria provided in the arguments |
|
|
service_unavailable
|
The service is currently unavailable, please try again later |
|
|
network_error
|
A network error occurred while performing the action. Please try again. |
object_storage_cluster[region]
string
query
The object storage cluster region for the bucket.
bucket[name]
string
query
The name of the object storage bucket.
path
string
required
query
The name or path for the object
object_details
object
filename
string
bucket_name
string
full_path
string
public_url
string
size
integer
The length of the object content in the response body, in bytes.
folder
boolean
{
"object_details": {
"filename": "string",
"bucket_name": "string",
"full_path": "string",
"public_url": "string",
"size": 0,
"folder": true
}
}
Sent to https://api.katapult.io/core/v1 as a bearer token and never to Krystal Documentation. It isn't stored anywhere, so paste it again on each endpoint page.
Left blank, a parameter is omitted from the request.